Going Online in Fire Emblem Fates

Discussion in '3DS - Flashcards & Custom Firmwares' started by Francesca, May 24, 2016.

  1. Francesca
    OP

    Francesca GBAtemp Regular

    Member
    192
    10
    Mar 17, 2015
    Armenia
    Recently I've been trying to go online on both of my hacked 3DS systems. Both are sysnand 9.2 and use emunand RxTools 10.3 and 10.4 respectively. I stopped updating the emunand as I was reading this forum and saw that features became unusable as a result of updating.

    Now I can't use online features when I felt like trying them out. On the 10.3 system (iirc, could've been the other way around) it tells me I need to agree to a User Agreement of some sort, going to which shows the actual agreement in the system setting but doesn't actually leave a button to click on. On my other, 10.4 system, it simply says I need to update my (emunand) system.

    I'd really like to use online features; at the same time, I'm afraid of losing the things I've acquired so far (custom firmware, a way of installing cia files and backing up saves with JSV). What can I do to successfully go online and visit other people's castles without losing everything? What should I avoid doing?

    Many thanks in advance.
     


  2. SterneSchreien

    SterneSchreien Naughty One

    Member
    152
    65
    Jan 4, 2016
    Canada
    127.0.0.1
    Replace RxTools with Luma3DS and update emuNANDs. If you are really paranoid do an emuNAND backup before updating.

    Or even better install A9LH and become one with the masterrace.
     
    Last edited by SterneSchreien, May 24, 2016 - Reason: ( ͡° ͜ʖ ͡° )
  3. nl255

    nl255 GBAtemp Addict

    Member
    2,582
    364
    Apr 9, 2004
    Switch to Luma and use the Luma nightlies. Then you can update your emunand to 11.0 and everything will still work, including online.
     
  4. Francesca
    OP

    Francesca GBAtemp Regular

    Member
    192
    10
    Mar 17, 2015
    Armenia
    Hm, that sounds complicated. Does that mean online doesn't work with RxTools anymore (not that I've tried until now)?
     
  5. SterneSchreien

    SterneSchreien Naughty One

    Member
    152
    65
    Jan 4, 2016
    Canada
    127.0.0.1
    RxTools is just severely outdated garbage use Luma3DS. Follow the link, it is not complicated.
     
  6. Francesca
    OP

    Francesca GBAtemp Regular

    Member
    192
    10
    Mar 17, 2015
    Armenia
    I'm way behind the times then. In which ways is Luma3DS superior to RxTools?
     
  7. Arubaro

    Arubaro Soulspace Guardian

    Member
    1,669
    470
    Sep 4, 2015
    Rxtools supports emunand on 11.0, but luma3ds is frequently updated
     
  8. Francesca
    OP

    Francesca GBAtemp Regular

    Member
    192
    10
    Mar 17, 2015
    Armenia
    I've been satisfied with my RxTools experience, and switching to something else overloads me as I already have too many things to worry about and do, 3DS-related or not.

    Is 11.0 the latest firmware, and does anything stop working by updating to it? Games, cia installers, backing up saves?

    Also, does updating to 11.0 automatically allow one to go online without any problems? I have never tried before.
     
  9. Clydefrosch

    Clydefrosch GBAtemp Psycho!

    Member
    4,127
    1,181
    Jan 2, 2009
    Gambia, The
    the thing is, luma doesnt do anything for emunand users that any other cfw, including rxtools, does.
    i'm still using some random version of rxtools and i'm on 11.0 and dont have any problems.

    when people say rxtools us outdated, they're dumbly thinking this is like a system os, that needs updates to be more stable and less prone to malware attacks.


    nothing stops working, everything should be fine instantly once you update.

    to update, boot into emunand, enter system settings, check if the top screen displays RX-10.blabla
    if so, continue to the settings and update option.
    do not update from the homemenu, only from the system settings and only when you see RX next to your firmware.
     
    Last edited by Clydefrosch, May 24, 2016
    Arubaro likes this.
  10. Arubaro

    Arubaro Soulspace Guardian

    Member
    1,669
    470
    Sep 4, 2015
    Yes, if you want to be extra safe, dump your current emunand so you can reinject it with emunand9.
    Once you update your emunand you should be able to go eshop, install cias etc like normal
     
    Last edited by Arubaro, May 24, 2016
  11. Francesca
    OP

    Francesca GBAtemp Regular

    Member
    192
    10
    Mar 17, 2015
    Armenia
    Can you go online on 11.0? What did you do to accomplish it?
     
  12. SterneSchreien

    SterneSchreien Naughty One

    Member
    152
    65
    Jan 4, 2016
    Canada
    127.0.0.1
    Nintendo just checks if your 3DS Firm is the latest available, if it is you can go online, no need to change anything.

    11.0 is currently the latest.
     
  13. Francesca
    OP

    Francesca GBAtemp Regular

    Member
    192
    10
    Mar 17, 2015
    Armenia
    Just updated to 11.0 and the message I'm getting is the same as before:

    To use this feature, you must accept the terms of the Nintendo 3DS Service User Agreement and Privacy Policy.

    In System Settings, select Internet Settings -> Other Information -> User Agreement and agree to the terms.


    Going to said location shows the actual agreement but there's no actual button to click to confirm it. Anybody know what can be done?
     
  14. Arubaro

    Arubaro Soulspace Guardian

    Member
    1,669
    470
    Sep 4, 2015
    I guess you're using a FE whose region do not match with yours?
     
  15. Francesca
    OP

    Francesca GBAtemp Regular

    Member
    192
    10
    Mar 17, 2015
    Armenia
    Yeah... Is that the problem?
     
  16. Arubaro

    Arubaro Soulspace Guardian

    Member
    1,669
    470
    Sep 4, 2015
    The problem is that the game is "searching for" an EULA that is not available in your 3ds (like, you have accepted the EUR eula but your game is USA, for example).

    You will need to look for and install a cia called "config", and make some modiffications.
    It's copyrighted, so I cannot link it here, but with that you'll "accept the EULA from all the regions" so you will be able to play online with all kind of games
     
  17. Francesca
    OP

    Francesca GBAtemp Regular

    Member
    192
    10
    Mar 17, 2015
    Armenia
    That's very helpful; is the cia file called "config" exactly? The name being so short makes it impossible to find by googling.
     
  18. Xenon Hacks

    Xenon Hacks GBAtemp Guru

    Member
    7,071
    3,384
    Nov 13, 2014
    United States
    config.cia
     
  19. Temarile

    Temarile (ノ◕ヮ◕)ノ*:・゚✧ A9LH ✧゚・: *ヽ(◕ヮ◕ヽ)

    Member
    1,132
    422
    Jan 7, 2016
    Netherlands
    Or switch to Luma3DS and have region free automatically ヽ(◕ヮ◕ヽ)
     
  20. Arubaro

    Arubaro Soulspace Guardian

    Member
    1,669
    470
    Sep 4, 2015
    Search for "eula config 3ds"